xampp 1.7.2 upgrade - php web page errors

Problems with the Linux version of XAMPP, questions, comments, and anything related.

xampp 1.7.2 upgrade - php web page errors

Postby bigpcman » 20. August 2009 22:29

I upgraded fro 1.7.1 to 1.7.2 today. To resolve the php.ini upgrade I simply moved the php.ini-1.7.2 version into php.ini. I had not made any changes to the stock php.ini that came with 1.7.1 so I assumed this would work. Anyway I am getting many php errors - some examples follow:
Code: Select all
Deprecated: Assigning the return value of new by reference is deprecated in /opt/lampp/htdocs/comments/comment.php on line 106

Here's the php code from line 106:
Code: Select all
$c5t_form_renderer =& new HTML_QuickForm_Renderer_ArraySmarty($c5t_out->get_object, true);


Here's another error:
Code: Select all
Deprecated: Assigning the return value of new by reference is deprecated in /opt/lampp/htdocs/comments/include/library/DB.php on line 470

and here's the code from line 470:
Code: Select all
@$obj =& new $classname;


Any idea what's causing these errors?

Note the web site static pages and phpBB3 seem to be working OK. It's the GentleSource Comment Script that is having problems and generating many errors.
bigpcman
 
Posts: 39
Joined: 11. January 2009 15:52

Re: xampp 1.7.2 upgrade - php web page errors

Postby Wiedmann » 20. August 2009 22:36

Any idea what's causing these errors?

http://de.php.net/manual/en/migration53.deprecated.php
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 4 guests